%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name numpy

Name: python%{python_suffix}-%{pypi_name}
Version: 1.21.4
Release: 1
License: BSD-3-Clause
Summary: Fundamental package for scientific computing with Python
Url: http://www.numpy.org/

BuildRequires: blas-devel >= 3.8.0
BuildRequires: cblas-devel >= 3.8.0
BuildRequires: lapack-devel >= 3.8.0
BuildRequires: lapacke-devel >= 3.8.0
BuildRequires: gcc-gfortran
BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: python%{python_suffix}-cython >= 0.29.24

Source0: https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.zip

Patch0: python%{python_suffix}-numpy-ibmi-compiler.patch
Patch1: python%{python_suffix}-numpy-aix-dispatch.patch

%description
NumPy is the fundamental package for scientific computing with Python.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

%if ! %{with base_python}
rm %{buildroot}%{_bindir}/f2py
rm %{buildroot}%{_bindir}/f2py3
%endif

%files
%defattr(-, qsys, *none)

%license LICENSE.txt

%{_bindir}/f2py%{python_version}

%{python_sitelib}/numpy*

%changelog
* Thu Dec 02 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.21.4
- Update to 1.21.4

* Wed Jul 07 2021 Kevin Adler <kadler@us.ibm.com> - 1.21.0
- Update to 1.21.0
- Add patch to support CPU detection/dispatch on PASE

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 1.15.4
- Port to Python 3.9
- Use macros from python-rpm-macros

* Fri Feb 05 2021 Kevin Adler <kadler@us.ibm.com>
- Use correct fortran buildrequires

* Thu Dec 5 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier

* Thu Jan 17 2019 - Xu Meng <mengxumx@cn.ibm.com>
- upgrade to v1.15.4
- change to use shared blas/lapack libs (#109)

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Python cleanup (#96)
- Ensure python packages have necessary dependencies listed
- Clean up python3 package build requires
- Update python 3 package descriptions and use SPDX licenses

* Tue Aug 07 2018 - Kevin Adler <kadler@us.ibm.com>
- Update python packages

* Mon Aug 06 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix numpy multiarray.so error

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Clean up various python 3 spec files

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Thu Jul 12 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix the gfortran and f2py3 deps

* Thu Jul 12 2018 - Xu Meng <mengxumx@cn.ibm.com>
- build numpy from source

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix directory conflict issue

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- Add numpy,scipy and scikit-learn for machine learning

